<?
	$this->DEFINITIONS = Zend_Registry::get('defines');
	$this->conf = Zend_Registry::get('escorts_config');
	$this->contacts = $this->escort->getContacts();
	$this->about = $this->escort->getAbout();
	$this->disabled_rev = (isset($this->escort->disabled_reviews) &&  $this->escort->disabled_reviews == 1) ? true : false;
	$this->disabled_comm = (isset($this->escort->disabled_comments) &&  $this->escort->disabled_comments == 1) ? true : false;
	$this->current_user = Model_Users::getCurrent();
	
	$this->setcard_info = $this->escort->getSetcardInfo();

	$this->hand_verification_date = $this->escort->getHandVerificationDate();
	
	$this->profile_disabled = false;
	if ( isset($this->escort->escort_status) && $this->escort->escort_status != 32 ){
		$this->profile_disabled = true;
	}

	$this->langs = $this->escort->getLangs();
	
	$this->services = ( $this->is_preview ) ? $this->escort->getServicesForPreview() : $this->escort->getServices();
	$this->keywords = $this->escort->getKeywords();
	$this->rates = ( $this->is_preview ) ? $this->escort->getRates() : $this->escort->getHHRates();
	$this->hh_info = $this->escort->getHHRatesInfo();
	
	$this->work_times = $this->escort->getWorkTimes();
	
	if ( $this->escort->agency_id ) {
		$this->agency_contacts = ( $this->is_preview ) ? $this->escort->getAgencyContactsForPreview() : $this->escort->getAgencyContacts();
	}
	$this->esc_contacts = ( $this->is_preview ) ? $this->escort->getEscortContactsForPreview() : $this->escort->getEscortContacts();
	
	/*if ( strlen($this->escort->agency_id) ) {
		$this->online_status = Model_Users::isOnlineNow(null, $this->escort->agency_id);
	}
	else {
		$this->online_status = Model_Users::isOnlineNow($this->escort->id);
	}*/
	//////////////////////////////////////////////////////////////////////////////////////////////
	$this->online_status = 0;
	
	if ($this->allowChat2())
	{
		//$user_ids = file_get_contents(Cubix_Application::getById()->url . '/node-chat/get-online-escorts');
		$cache_native = Zend_Registry::get('cache_native');
		$user_ids = $cache_native->get(Cubix_Application::getId() . '_chat_online_escorts');
		$user_ids = json_decode($user_ids);

		if (in_array($this->escort_user_id, $user_ids)/* && $this->has_package*/)
			$this->online_status = 1;
	}
	//////////////////////////////////////////////////////////////////////////////////////////////////
	
	$this->additional_cities = $this->escort->getAdditionalCities($this->contacts->base_city_id);
	$this->zones = $this->escort->getCityzones();
	
	$this->tours = $this->escort->getCitytours();

	global $VIEW;
	$VIEW = $this;
		
	function getDaysInBetween($start, $end) {
		$day = 86400; // Day in seconds
		$format = 'Y-m-d'; // Output format (see PHP date funciton)
		$sTime = /*strtotime(*/$start/*)*/; // Start as time
		$eTime = /*strtotime(*/$end/*)*/; // End as time
		$numDays = round(($eTime - $sTime) / $day);
		$days = array();

		// Return days
		return abs($numDays);
	}
		
	$this->profile_disabled = ( isset($this->escort->escort_status) && $this->escort->escort_status != 32 );
	$this->has_package = $this->escort->hasProduct(1);
	
	Model_Escorts::hit($this->escort->id);
?>

<script src='https://www.google.com/recaptcha/api.js' defer></script>
<input type="hidden" id="escort_id" value="<?= $this->escort->id ?>" />

<div class="container-fluid container-escort-profile">
	<? if ( $this->show_advertise_block && $this->is_preview ): ?>
		<div class="profile-overlay profile-overlay-bg-<?= $this->lang() ?>"></div> 
	<? endif; ?>
		
	<?= $this->render('escorts/profile/profile-info.phtml') ?>
	<?= $this->render('escorts/profile/slider.phtml') ?>
	
	<div class="container">
		<div class="row no-gutters">
			<div class="col-sm-12 col-md-12 col-lg-12 py-2 mb-2"><!-- ADD left-col and col-lg-9 if you want to have right sidebar -->
				<div class="row no-gutters">
                    <section id="anchors" class="d-none d-xl-block">
                        <ul>
                            <li>
                                <a class="bio active" href="#headingAboutme">About me</a>
                            </li>
                            <li>
                                <a class="services " href="#headingThree">What I do?</a>
                            </li>
                            <? if ( $this->conf['profile']['rates'] && (count($this->rates[1]) > 0 || count($this->rates[2]) > 0) && ! $this->hh_info->hh_is_active ): ?>
	                            <li>
	                                <a class="rates " href="#rates-section">How much?</a>
	                            </li>
							<? endif;?>

                            <li>
                                <a class="contact" href="#headingContact">Contact me</a></li>
                            <li class="report_container">
                                <a class="report" href="#report_">Report</a>
                                <div class="report_actions">
                                    <span data-newletter-popup="off" id="susp-photo-button" data-toggle="modal" data-target="#report_fake_modal">Suspicious Pics</span>
                                    <span data-newletter-popup="off" class="report_escort_btn" type="1" data-toggle="modal" data-target="#report_problem_modal">Bad Phone Number</span>
                                    <span data-newletter-popup="off" class="report_escort_btn" type="2" data-toggle="modal" data-target="#report_problem_modal">Other Problem</span>
                                </div>
                            </li>
                            <li class="back_to_top d-none" >
                                <a class="top" href="#collapsesearch">Back to Top</a>
                            </li>
                    </section>
					<?= $this->render('escorts/profile/gallery.phtml') ?>
					<div class="col-12 col-sm-12 col-md-12 col-lg-8 escort-data mb-5">
						<?= $this->render('escorts/profile/mobile-basic-info.phtml') ?>

						<div class="panel-group px-2 row no-gutters" id="accordion" role="tablist" aria-multiselectable="true">
							<?= $this->render('escorts/profile/bio.phtml') ?>	
							
							<? if ( $this->conf['profile']['rates'] && (count($this->rates[1]) > 0 || count($this->rates[2]) > 0) && ! $this->hh_info->hh_is_active ): ?>
								<!-- Rates Block -->
								<hr class="hidden-md-down">
								<?= $this->render('escorts/profile/rates.phtml') ?>
							<? elseif( $this->hh_info->hh_is_active && ! $this->profile_disabled ): ?>
								<!-- HH Block -->
								<hr class="hidden-md-down">
								<?= $this->render('escorts/profile/happy-hours.phtml') ?>
							<? endif; ?>
							
							<!-- Services Block -->
							<?= $this->render('escorts/profile/services.phtml') ?>

                            <!-- Services Block -->
                            <?= $this->render('escorts/profile/keywords.phtml') ?>

                            <!-- Tours Block -->
							<?/* if ( ! $this->profile_disabled ): ?>
								<?= $this->render('escorts/profile/tours.phtml') ?>
							<? endif;*/ ?>

							<!-- Contacts Block -->
							<? if ( ! $this->profile_disabled ): ?>
								<?= $this->render('escorts/profile/contacts.phtml') ?>
							<? endif; ?>

							<? if ( ! $this->profile_disabled ): ?>
								<? if ( $this->work_times['working_times'] || $this->work_times['available_24_7'] ): ?>
									<?= $this->render('escorts/profile/working-times.phtml') ?>
								<? endif; ?>
							<? endif; ?>

                            <!-- continuation of the contacts block (show escort in the map for desktop mode) -->
                            <? if ( ! $this->profile_disabled && $this->escort->locations['longitude'] && $this->escort->locations['latitude'] ): ?>
                                <input id="device-detect" type="hidden" value="<?= (new Mobile_Detect)->isMobile() ? 'mobile' : 'desktop' ?>" />

                                <div class="panel panel-default col-12 p-0" id="escort-map-desktop-section">
                                    <div id="escort-map-desktop"></div>
                                </div>
                            <? endif; ?>

                            <!-- About Me TExt -->
							<? if ( strlen($this->about->{'about_' . $this->lang()}) ): ?>
								<?= $this->render('escorts/profile/about-me.phtml') ?>
							<? endif; ?>
							
						
							<?= $this->render('escorts/profile/reviews.phtml') ?>
							
							
<!--							--><?// if ( $this->comments && ! $this->disabled_com ): ?>
								<?= $this->render('escorts/profile/comments.phtml') ?>
<!--							--><?// endif; ?>
							
							<? if ( $this->escort->agency_id && ! $this->agency_contacts->is_anonymous && $this->conf['showAgencyInProfile'] && !$this->has_active_package): ?>
								<?= $this->render('escorts/profile/club-girls.phtml') ?>
								<?= $this->render('escorts/profile/other-girls.phtml') ?>
							<? endif; ?>
							
							<?= $this->render('escorts/profile/recommended.phtml') ?>

							<?= $this->render('escorts/profile/reports.phtml') ?>

							
						</div>  
					</div>
				</div>
			</div>

			<?// $this->render('right-sidebar/right-sidebar.phtml') ?>
			
		</div>
	</div>	
</div>